in scala.collection.immutable
class ListMap

[scala.serializable]
`class` ListMap [A, B]
  `extends` java.lang.Object
  `with` scala.collection.immutable.Map[A, B]
  `with` scala.ScalaObject

  This class implements immutable maps using a list-based data structure. Instances of `ListMap` represent empty maps; they can be either created by calling the constructor directly, or by applying the function `ListMap.Empty`.

Author:
  Matthias Zenger
Version:
  1.0, 09/07/2003

Direct Known Subclasses:
  Node

Class Summary
`protected` | `class` Node

Constructor Summary
| `def` this

Def Summary
| `def` - (key: A) : scala.collection.immutable.ListMap[A, B] This creates a new mapping without the given `key`. If the map does not contain a mapping for the given key, the method returns the same map.
| `def` elements : scala.Iterator[scala.Tuple2[A, B]] This returns an iterator over key-value pairs.
| `def` empty [C] : scala.collection.immutable.ListMap[A, C] This method returns a new ListMap instance mapping keys of the same type to values of type `C`.
`override` | `def` equals (obj: scala.Any) : scala.Boolean Compares two maps for equality. Two maps are equal iff they contain exactly the same key-value pairs.
| `def` get (key: A) : scala.Option[B] Check if this map maps `key` to a value and return the value if it exists.
`override` | `def` hashCode : scala.Int
`protected` | `def` key : A
`protected` | `def` next : scala.collection.immutable.ListMap[A, B]
| `def` size : scala.Int Returns the number of mappings in this map.
| `def` update (key: A, value: B) : scala.collection.immutable.ListMap[A, B] This method allows one to create a new map with an additional mapping from `key` to `value`. If the map contains already a mapping for `key`, it will be overridden by this function.
`protected` | `def` value : B

Constructor Detail

`def` this

Def Detail

`def` - (key: A): scala.collection.immutable.ListMap[A, B]

  This creates a new mapping without the given `key`. If the map does not contain a mapping for the given key, the method returns the same map.

`def` elements : scala.Iterator[scala.Tuple2[A, B]]

  This returns an iterator over key-value pairs.

`def` empty [C]: scala.collection.immutable.ListMap[A, C]

  This method returns a new ListMap instance mapping keys of the same type to values of type `C`.

`override def` equals (obj: scala.Any): scala.Boolean

  Compares two maps for equality. Two maps are equal iff they contain exactly the same key-value pairs.

`def` get (key: A): scala.Option[B]

  Check if this map maps `key` to a value and return the value if it exists.

Parameters:
  `key -` the key of the mapping of interest
Returns:
  the value of the mapping, if it exists

`override def` hashCode : scala.Int

`protected def` key : A

`protected def` next : scala.collection.immutable.ListMap[A, B]

`def` size : scala.Int

  Returns the number of mappings in this map.

Returns:
  number of mappings.

`def` update (key: A, value: B): scala.collection.immutable.ListMap[A, B]

  This method allows one to create a new map with an additional mapping from `key` to `value`. If the map contains already a mapping for `key`, it will be overridden by this function.

`protected def` value : B